import { IEvent } from "../Event";
import { IDIService } from "../IDIService";
export interface IPictureInPictureService extends IDIService {
    IsSupported(): boolean;
    RequestPictureInPictureAsync(): Promise<boolean>;
    OnEnteredPictureInPicture: IEvent;
    OnExitedPictureInPicture: IEvent;
}
export declare class PictureInPictureService implements IPictureInPictureService {
    static readonly ServiceName: string;
    OnEnteredPictureInPicture: IEvent;
    OnExitedPictureInPicture: IEvent;
    private _nativeApi;
    constructor();
    IsSupported(): boolean;
    RequestPictureInPictureAsync(): Promise<boolean>;
    GetServiceName(): string;
}
